org.keycloak.models.jpa.entities

## Class CredentialEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.CredentialEntity

-     @Entity
      public class CredentialEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `device`
    `protected int` | `hashIterations`
    `protected String` | `id`
    `protected byte[]` | `salt`
    `protected String` | `type`
    `protected UserEntity` | `user`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDevice()`
    `int` | `getHashIterations()`
    `String` | `getId()`
    `byte[]` | `getSalt()`
    `String` | `getType()`
    `UserEntity` | `getUser()`
    `String` | `getValue()`
    `void` | `setDevice(String device)`
    `void` | `setHashIterations(int hashIterations)`
    `void` | `setId(String id)`
    `void` | `setSalt(byte[] salt)`
    `void` | `setType(String type)`
    `void` | `setUser(UserEntity user)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### type

          protected String type

    - #### value

          protected String value

    - #### device

          protected String device

    - #### salt

          protected byte[] salt

    - #### hashIterations

          protected int hashIterations

    - #### user

          protected UserEntity user

  - ### Constructor Detail

    - #### CredentialEntity

          public CredentialEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDevice

          public String getDevice()

    - #### setDevice

          public void setDevice(String device)

    - #### getUser

          public UserEntity getUser()

    - #### setUser

          public void setUser(UserEntity user)

    - #### getSalt

          public byte[] getSalt()

    - #### setSalt

          public void setSalt(byte[] salt)

    - #### getHashIterations

          public int getHashIterations()

    - #### setHashIterations

          public void setHashIterations(int hashIterations)

Copyright © 2014. All Rights Reserved.